package com.sooka.system.funeral.the_dead.mapper;

import com.sooka.system.funeral.the_dead.domain.TGuijiTheDead;

import java.util.List;

/**
 * 市殡葬-逝者基本信息Mapper接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface TGuijiTheDeadMapper
{
    /**
     * 查询市殡葬-逝者基本信息
     *
     * @param id 市殡葬-逝者基本信息ID
     * @return 市殡葬-逝者基本信息
     */
    public TGuijiTheDead selectById(String id);

    /**
     * 查询市殡葬-逝者基本信息列表
     *
     * @param param 市殡葬-逝者基本信息
     * @return 市殡葬-逝者基本信息集合
     */
    public List<TGuijiTheDead> selectList(TGuijiTheDead param);

    /**
     * 新增市殡葬-逝者基本信息
     *
     * @param param 市殡葬-逝者基本信息
     * @return 结果
     */
    public int insert(TGuijiTheDead param);

    /**
     * 修改市殡葬-逝者基本信息
     *
     * @param param 市殡葬-逝者基本信息
     * @return 结果
     */
    public int update(TGuijiTheDead param);

    /**
     * 删除市殡葬-逝者基本信息
     *
     * @param id 市殡葬-逝者基本信息ID
     * @return 结果
     */
    public int deleteById(String id);

    /**
     * 批量删除市殡葬-逝者基本信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String[] ids);
}
